Skip to content

Generate Stats

POST
/api/creative/gamemaster/generate-stats

Generate stat block values for an entry type via the deterministic Stat Forge.

The GameMaster uses the active ruleset’s stat definitions and the provided description/constraints to compose a values dict through the M12.3 Divinity-Engine Stat Forge — no LLM is involved.

GenerateStatsRequest

Request to generate stat values for an entry type.

object
entryType
required
Entrytype
string
constraints
Constraints
object
key
additional properties
Any of:
number
description
Description
string
""

Successful Response

GenerateStatsResponse

Response wrapper for generated stat block values.

object
stats
required
Stats
object
key
additional properties
number

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object